public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/reline/
Date: Sun,  9 Jul 2023 05:42:28 +0000 (UTC)	[thread overview]
Message-ID: <1688881343.bbe83eaa8e36806a458880d65d8ac25a5d0ea543.graaff@gentoo> (raw)

commit:     bbe83eaa8e36806a458880d65d8ac25a5d0ea543
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Jul  9 05:30:37 2023 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Jul  9 05:42:23 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bbe83eaa

dev-ruby/reline: add 0.3.6

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/reline/Manifest            |  1 +
 dev-ruby/reline/reline-0.3.6.ebuild | 31 +++++++++++++++++++++++++++++++
 2 files changed, 32 insertions(+)

diff --git a/dev-ruby/reline/Manifest b/dev-ruby/reline/Manifest
index a1eb387b3050..2d0c88cfcd0e 100644
--- a/dev-ruby/reline/Manifest
+++ b/dev-ruby/reline/Manifest
@@ -1 +1,2 @@
 DIST reline-0.3.5.tar.gz 86159 BLAKE2B 344db9ea247e3acc5b2f346cec657b3702c385b165b0d99e25239d099cbf293705458bc00cbf1646581abc37e0b661962aa2ae6be56879e9a1b8b7b31b2f1ff6 SHA512 5aa6f01cc92d4036f7edb6d10bb1d03300cf79667b87fe7bd4d53bd9cc018b1ac56de7f1ccbaac8ee76d9301196130fcbc6913e482a2c8d78526664f2076677c
+DIST reline-0.3.6.tar.gz 87142 BLAKE2B 7e52e4a1e1cc62f58a5ae45f452b269233b2b681a0146f1ccab5343491053bd514d6fa93610c17bddc4ec3dfc14fa06e6f67559c8d4e254a0d0f857271ee5a31 SHA512 b8a46aaaa5de0658378b5eb52d9ca78d82bb54c392e0cad512bfbba4d82834ea5834582b7055b12ccfae8785ce4d13f232aa9d4e7f8b48da0dd2aeb982cd2705

diff --git a/dev-ruby/reline/reline-0.3.6.ebuild b/dev-ruby/reline/reline-0.3.6.ebuild
new file mode 100644
index 000000000000..e402f399fa66
--- /dev/null
+++ b/dev-ruby/reline/reline-0.3.6.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby30 ruby31 ruby32"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_GEMSPEC="reline.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Alternative readline implementation in pure Ruby"
+HOMEPAGE="https://github.com/ruby/reline"
+SRC_URI="https://github.com/ruby/reline/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/io-console-0.5.0:0"
+
+all_ruby_prepare() {
+	sed -e "s:_relative ':'./:" \
+		-i ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+each_ruby_test() {
+	${RUBY} -Ilib:.:test/reline -rhelper -e 'Dir["test/**/test_*.rb"].each{|f| require f}' || die
+}


             reply	other threads:[~2023-07-09  5:42 UTC|newest]

Thread overview: 38+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-07-09  5:42 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-06 13:30 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/reline/ Jakov Smolić
2024-10-06 11:35 Sam James
2024-09-06 17:48 Sam James
2024-09-06 17:48 Sam James
2024-09-06  4:59 Hans de Graaff
2024-09-06  4:59 Hans de Graaff
2024-07-17  4:38 Viorel Munteanu
2024-06-13  5:50 Hans de Graaff
2024-06-13  5:50 Hans de Graaff
2024-06-09  6:49 Hans de Graaff
2024-05-18  8:33 Sam James
2024-05-18  7:59 Sam James
2024-05-15  5:29 Hans de Graaff
2024-05-12  5:03 Hans de Graaff
2024-05-03 11:13 Hans de Graaff
2024-04-30  2:30 Ionen Wolkens
2024-04-30  2:30 Ionen Wolkens
2024-04-30  2:30 Ionen Wolkens
2024-04-30  2:30 Ionen Wolkens
2024-04-30  2:30 Ionen Wolkens
2024-04-19  6:40 Hans de Graaff
2024-04-13  6:24 Hans de Graaff
2024-04-13  6:24 Hans de Graaff
2024-03-29  7:08 Hans de Graaff
2024-03-14  5:48 Hans de Graaff
2024-01-21 14:06 Fabian Groffen
2024-01-06  8:19 Hans de Graaff
2023-12-30  9:59 Hans de Graaff
2023-12-30  9:59 Hans de Graaff
2023-12-26 15:53 Hans de Graaff
2023-11-06 20:50 Fabian Groffen
2023-10-08 10:07 Hans de Graaff
2023-10-04  5:31 Hans de Graaff
2023-10-04  5:31 Hans de Graaff
2023-08-21  5:24 Hans de Graaff
2023-07-30  9:50 Hans de Graaff
2023-07-01  9:13 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1688881343.bbe83eaa8e36806a458880d65d8ac25a5d0ea543.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox